JE::Object::Error::RangeError(3pm)

NAME
JE::Object::Error::RangeError - JavaScript RangeError object class

SYNOPSIS
  use JE::Object::Error::RangeError;

  # Somewhere in code called by an eval{}
  die new JE::Object::Error::RangeError $global, "(Error message here)";

  # Later:
  $@->prop('message');  # error message
  $@->prop('name');     # 'RangeError'
  "$@";                 # 'RangeError: ' plus the error message

DESCRIPTION
This class implements JavaScript RangeError objects for JE.

METHODS
See JE::Types and JE::Object::Error.

SEE ALSO

JE
JE::Types
JE::Object
JE::Object::Error